<?php

class Cid10Controller extends RestController
{

    /**
     * Defines which columns will be returned by the REST
     */
    public static $_columns = 'id,cid10,sex_restrict,description';

    /**
     * Do we cache this response?
     */
    protected $cacheable = true;

    /**
     * Allows search by and partial by fields
     */
    public static $_allow = array(
        'search' => array('id','cid10','sex_restrict','description'),
        'partials' => array('id','cid10','sex_restrict','description')
    );

}

