<?php

class DrugController extends RestController
{

    /**
     * Defines which columns will be returned by the REST
     */
    public static $_columns = 'id,name,type,unit_type,quantity';

    /**
     * Do we cache this response?
     */
    protected $cacheable = false;

    /**
     * Allows search by and partial by fields
     */
    public static $_allow = array(
        'search' => array('id','name','type','unit_type','quantity'),
        'partials' => array('id','name','type','unit_type','quantity')
    );

}

