<?php

class PersonController extends RestController
{

    /**
     * Defines which columns will be returned by the REST
     */
    public static $_columns = 'id,name,born_date,phone,address,neighborhood,address_number,photo';

    /**
     * Do we cache this response?
     */
    protected $cacheable = false;

    /**
     * Allows search by and partial by fields
     */
    public static $_allow = array(
        'search' => array('id','name','born_date','phone','address','neighborhood','address_number'),
        'partials' => array('id','name','born_date','phone','address','neighborhood','address_number')
    );

}

