<?php

require __DIR__ . '/mailin-api-php/V2.0/Mailin.php';

class MailPlugin {
	
	private static $_api_key = '32PrUEWb0ngBKAjD';

	private static $_transactional_domain = 'https://api.sendinblue.com/v2.0';

	private static $_client = 'TCC';

	private static $_list = 5;

	private $_handler;

	private $_result;

	public function __construct(){
		try {
			$this->_handler = new Mailin(self::$_transactional_domain,self::$_api_key);
		} catch (Exception $e){
			return false;
		}
	}

	public function send($to_mail,$id,$params = null){
		try {
			if ($to_mail && $id){
				$attr = array('CLIENT' => self::$_client);
				$attr = $params ? array_merge($attr,$params) : $attr;
				$this->_result = $this->_handler->send_transactional_template(
					array(
						"id" => $id,
						'to' => $to_mail,
						'attr' => $attr
					)
				);
				return true;
			}
		}catch (Exception $e){
			return false;
		}
		return false;
	}

	public function createUser($contact_data){
		try {
			if (is_array($contact_data)){
				if (isset($contact_data['email'])){
					$contact_data = array_merge($contact_data,array('listid' => array(self::$_list)));
					$this->_result = $this->_handler->create_update_user($contact_data);
					return true;
				}
			}
		} catch (Exception $e) {
			return false;
		}
		return false;	
	}

	public function addToList($contact = null){
		try {
			if (isset($contact)){
				$this->_result = $this->_handler->add_users_list(array('id' => self::$_list,array($contact)));
				return true;
			}
		} catch (Exception $e) {
			return false;
		}
		return false;	
	}

	public function getResult(){
		return $this->_result;
	}


}

?>
