<?php
/**
 * Classe para calcular o risco do paciente na adesão conforme o formulário QAthas
 */
class Qathas{
	private $url = "http://www.qathas.com.br/Resposta/";
	private $params = array();
	public function __construct($request){
		$this->params["altura"]="";
		$this->params["ca"]="";
		$this->params["endereco"]="";
		$this->params["estado"]="";
		$this->params["casado"]="";
		$this->params["idade"]="";
		$this->params["instrucao"]="";
		$this->params["analfabeto"]="";
		$this->params["nome"]="";
		$this->params["ocupacao"]="";
		$this->params["pad"]="";
		$this->params["pas"]="";
		$this->params["peso"]="";
		$this->params["pessoas_casa"]="";
		$this->params["questao0"]=$request->questao0;
		$this->params["questao1"]=$request->questao1;
		$this->params["questao10"]=$request->questao10;
		$this->params["questao11"]=$request->questao11;
		$this->params["questao2"]=$request->questao2;
		$this->params["questao3"]=$request->questao3;
		$this->params["questao4"]=$request->questao4;
		$this->params["questao5"]=$request->questao5;
		$this->params["questao6"]=$request->questao6;
		$this->params["questao7"]=$request->questao7;
		$this->params["questao8"]=$request->questao8;
		$this->params["questao9"]=$request->questao9;
		$this->params["renda"]="";
		$this->params["sexo"] = "";
		$this->params["termo"] = "aceito";
	}

	public function getCoefficient(){
		$curl = curl_init();
		curl_setopt_array($curl, array(
		  CURLOPT_URL => $this->url,
		  CURLOPT_POST => 1,
		  CURLOPT_POSTFIELDS => http_build_query($this->params),
		  CURLOPT_RETURNTRANSFER => true,
		  CURLOPT_ENCODING => "",
		  CURLOPT_MAXREDIRS => 10,
		  CURLOPT_TIMEOUT => 60,
		  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1
		));
		$response = curl_exec($curl);
		$err = curl_error($curl);
		curl_close($curl);
		if ($err) {
			return false;
		} else {
		  $q = explode('<input name="nome" type="text" class="caixa-texto" readonly="readonly" value="',$response);
		  $q = explode('"',$q[1]);
		  $q = $q[0];
		  $coeficiente = str_replace(",",".",$q);
		  return $coeficiente;
		}
	}
}