app
.config(function($stateProvider, $urlRouterProvider,$ionicConfigProvider) {


    // Turn off caching for demo simplicity's sake
    $ionicConfigProvider.views.maxCache(0);

    /*
    // Turn off back button text
    $ionicConfigProvider.backButton.previousTitleText(false);
    */

    $stateProvider.state('app', {
        url: '/app',
        abstract: true,
        templateUrl: 'templates/menu.html',
        controller: 'appCtrl'
    })

    .state('app.login', {
        url: '/login',
        views: {
            'menuContent': {
                templateUrl: 'templates/login.html',
                controller: 'loginCtrl'
            },
            'fabContent': {
                template: ''
            }
        }
    })

    .state('app.profile', {
        url: '/profile',
        views: {
            'menuContent': {
                templateUrl: 'templates/profile.html',
                controller: 'profileCtrl'
            },
            'fabContent': {
                template: ''
            }
        }
    })

    .state('app.patient', {
        url: '/patient',
        views: {
            'menuContent': {
                templateUrl: 'templates/patient.html',
                controller: 'patientCtrl'
            },
            'fabContent': {
                template: '',
                template: '<button id="fab-patient" class="button button-fab button-fab-bottom-right button-calm" ui-sref="app.new_patient"><i class="icon ion-plus"></i></button>',
                controller: function ($timeout) {
                    $timeout(function () {
                        document.getElementById('fab-patient').classList.toggle('on');
                    }, 900);
                }
            }
        }
    })
    .state('app.show_patient',{
      url:'/show_patient',
      params : {
        patient : null
      },
      views: {
          'menuContent': {
              templateUrl: 'templates/show_patient.html',
              controller: 'showPatientCtrl'
          },
          'fabContent': {
              // template: '<button id="fab-show-patient" class="button button-fab button-fab-bottom-right button-calm-900" ui-sref="app.newMessage"><i class="icon ion-plus"></i></button>',
              //   controller: function ($timeout) {
              //       $timeout(function () {
              //           document.getElementById('fab-show-patient').classList.toggle('on');
              //       }, 900);
              //   }
              template : ''
          }
      }
    })
    .state('app.new_patient',{
      url:'/new_patient',
      params : {
        patient : null
      },
      views: {
          'menuContent': {
              templateUrl: 'templates/new_patient.html',
              controller: 'newPatientCtrl'
          },
          'fabContent': {
              template : ''
          }
      }
    })

    ;

    // if none of the above states are matched, use this as the fallback
    $urlRouterProvider.otherwise('/app/login');
  

});