'use strict';
app
  .controller('NovoCartaoCtrl', function($scope,$uibModal,UsuarioResource,$cookies,TagResource,toastr,$uibModalInstance,Cartao) {
    $scope.dias = [
      {id:1,nome:"Seg"},
      {id:2,nome:"Ter"},
      {id:3,nome:"Qua"},
      {id:4,nome:"Qui"},
      {id:5,nome:"Sex"},
      {id:6,nome:"Sab"},
      {id:7,nome:"Dom"}
    ]

    if(!Cartao.id){
      $scope.c = new TagResource();
    }
    else{
      $scope.c = Cartao;
    }
    if(Cartao.Usuario){
      $scope.usuario = Cartao.Usuario;
    }
    $scope.abrirPessoa = function() {
        var modalInstance = $uibModal.open({
          templateUrl: 'views/tmpl/admin/clientes_search.html',
          controller: 'ClientesModalCtrl',
          size: 'lg'
        });
        modalInstance.result.then(function (img) {
          if(img){
            $scope.usuario = img;
          }
        }, function () {
          // $log.info('Modal dismissed at: ' + new Date());
        });
    };
    $scope.save = function(){
      if($scope.usuario){
        $scope.c.user_id = $scope.usuario.id;
        if(!$scope.c.id){
          $scope.c.$save(function(){
            toastr.success("Cartão Salvo com sucesso",{timeOut:4000});
            $uibModalInstance.close($scope.c);
          },
          function(r){
            toastr.error("Ocorreu um erro ao salvar o cartão",{timeOut:5000});
            angular.forEach(r.data.error, function(e){
              toastr.error(e,{timeOut:5000});
            });
          })
        }
        else{
          $scope.c.Usuario = null;
          $scope.c.$update({id:$scope.c.id},function(){
            toastr.success("Cartão Salvo com sucesso",{timeOut:4000});
            $uibModalInstance.close($scope.c);
          },
          function(r){
            toastr.error("Ocorreu um erro ao salvar o cartão",{timeOut:5000});
            angular.forEach(r.data.error, function(e){
              toastr.error(e,{timeOut:5000});
            });
          })
        }
      }
      else{
        toastr.error("Selecione um usuário",{timeOut:4000});
      }
    }

});