'use strict';
app
  .controller('RecoveryCtrl', function($translate,$scope,toastr, $timeout, UserResource, AuthenticationService) {
    AuthenticationService.ClearCredentials();
    $scope.user = new UserResource();
    $scope.user.email = "";
    $scope.step=1;

    $scope.requestCode = function(){
      if($scope.user.email=="" || $scope.user.email==undefined){
          toastr.error($translate.instant("signup.validation."+k), {timeOut: 5000});
      }else{
        $scope.user.$recoveryCode(function(data){
            toastr.success(data.message, {timeOut: 5000});
          },
          function(err){
            toastr.error(err.data.error, {timeOut: 5000});
        });
      }
    }
});