'use strict';
app
  .controller('RecoveryChangePasswordCtrl', function($state, $translate, $scope, toastr, $timeout, UserResource, AuthenticationService, $stateParams) {
    AuthenticationService.ClearCredentials();
    $scope.step = 2;
    $scope.user = new UserResource();
    $scope.user.$getEmailChange({id: $stateParams.id, secret: $stateParams.token}, function(data){}, function(data){
      toastr.error($translate.instant("recovery.generic_error"), {timeOut: 5000});
      $state.transitionTo('login');
    });

    $scope.changePassword = function(){
        if($scope.user.new_password != $scope.user.confirm_password){
          toastr.error($translate.instant("signup.validation.confirm_password"), {timeOut: 5000});
        }else{
          $scope.newUser = new UserResource();
          $scope.newUser.password = $scope.user.new_password;
          $scope.newUser.$passwordReset({id: $stateParams.id, secret: $stateParams.token},function(data){
              toastr.success(data.message, {timeOut: 5000});
              $scope.user.requested = 1;
              $timeout(function(){$state.transitionTo('login')}, 1000);
            },
            function(err){
              toastr.error($translate.instant("recovery.generic_error"), {timeOut: 5000});
              $state.transitionTo('login');
          });
        }
    }
});