<?php

class Log extends ModelBase
{
    /**
     * Handle nested results
     */
	// public static $Relations = [
	// 	'User' => 'user_id'
	// ];

    /**
     * Clear cache for related models
     */
	// public static $clearCache = [
	// 	'ModelRelated'
	// ];

    public $user_id;

    public $url;

    public $parameters;

    public $response_code;

    public $method;

    public $client_ip;

    public $log_time;

    /**
     * Initialize method for model.
     */
    public function initialize()
    {
        $this->belongsTo('user_id', 'User', 'id', array('alias' => 'User'));
    }

    /**
     * Returns table name mapped in the model.
     *
     * @return string
     */
    public function getSource()
    {
        return 'log';
    }

}
