<?php


class PasswordRecovery extends ModelBase
{

    public $id;

    public $expire_date;

    public $reset_date;

    public $user_id;

    public $clicked;

    /**
     * Initialize method for model.
     */
    public function initialize()
    {
       $this->belongsTo('user_id', 'User', 'id', array('alias' => 'User'));
    }

    /**
     * Returns table name mapped in the model.
     *
     * @return string
     */
    public function getSource()
    {
        return 'password_recovery';
    }

    public function beforeCreate(){
        $this->clicked = 0;
    }

}
