'use strict'

app
.controller('loginCtrl', function($scope,$rootScope,$state,$ionicSideMenuDelegate,$ionicHistory,toastr,$http,_C,$auth,$localStorage,$timeout,ionicMaterialInk,Base64,AuthenticationService) {
  $timeout(function() {
      $scope.$parent.clearFabs();
      $scope.$parent.hideHeader();
  }, 0);
  ionicMaterialInk.displayEffect();	

  // $scope.user = {login:"bacalazin@gmail.com",password:"102030"};
	$scope.user = {};
	$ionicSideMenuDelegate.canDragContent(false);
	if($localStorage.id && $localStorage.apikey){
		// $http.defaults.headers.common.apikey = $localStorage.apikey;
		$ionicHistory.nextViewOptions({
			disableBack: true
		});
		$state.go("app.profile");
	}
	
  $scope.login = function () {
      AuthenticationService.Login($scope.user.login, $scope.user.password, function(response) {
          if(response.status==200){
              if(response.data.apikey){
                AuthenticationService.SetCredentials(response.data.id,response.data.apikey);
                toastr.success("Login realizado com sucesso.",{timeOut:1000});
                  $ionicHistory.nextViewOptions({
                    disableBack: true
                  });
                  $state.go('app.profile');
              }
              else{
                toastr.error("Ocorreu um erro ao realizar o login. Favor verifique o email e a senha");
              }
          } else {
              if(response.status==401){
                  response.message = "Verifique o email e a senha";
              }
              else{
                  response.message = "Erro de conexão. Verifique se seu computador está conectado na rede.";
              }
              toastr.error(response.message,{timeOut:1000});
              AuthenticationService.ClearCredentials();
          }
      });
  };

})