app
.controller('newPatientCtrl', function($scope,$state, $timeout, ionicMaterialMotion, ionicMaterialInk,_C,PatientResource,toastr) {
    // Set Header
    $scope.$parent.showHeader();
    $scope.$parent.clearFabs();
    $timeout(function() {
      $scope.isExpanded = false;
      $scope.$parent.setExpanded(false);
      $scope.$parent.setHeaderFab(false);
      $scope.$parent.hasMenu = true;
  }, 0);

  $timeout(function() {
      ionicMaterialMotion.fadeSlideInRight({
          startVelocity: 3000
      });
      ionicMaterialInk.displayEffect();
  });
  $scope._C = _C;
  $scope.form = {};
  $scope.patient = new PatientResource();
  $scope.save = function(){
      if($scope.form.formNewPatient.$invalid){
          toastr.error("Preencha todos os campos obrigatórios do Paciente");
      }
      else{
        var p = angular.copy($scope.patient);
        p.Person.born_date = Date.parse(p.Person.born_date)/1000
        p.$save(function(){
          toastr.success("Paciente criado com sucesso",{timeOut:4000});
          $state.go("app.patient");
        },
        function(r){
          angular.forEach(r.data.error,function(v){
            toastr.error(v,{timeOut:4000});
          });
        })
      }
  }
})
;