app
.controller('patientCtrl', function($scope, $timeout, ionicMaterialInk,_C,$localStorage,PatientResource,$httpParamSerializerJQLike,$state,$cordovaNetwork,$ionicPlatform) {
    // Set Header
    $scope.$parent.showHeader();
    $scope.$parent.clearFabs();
    $timeout(function() {
      $scope.isExpanded = false;
      $scope.$parent.setExpanded(false);
      $scope.$parent.setHeaderFab(false);
      $scope.$parent.hasMenu = true;
  }, 0);

    $scope.search = {
      busy : false,
      end : false,
      nextPage : function(){
        if(!$scope.search.busy){
          $scope.search.params = {
            page:-1,
            limit: "10",
            todos: 1
          }
          $scope.search.busy = true;
          $scope.search.params.page++;
          var result = PatientResource.query({p:$httpParamSerializerJQLike($scope.search.params)},function(){
            $scope.$broadcast('scroll.infiniteScrollComplete');
            // var arrImgCache = [];
            angular.forEach(result, function(i){
              if(!i.Person.portrait){
                i.Person.portrait = 'img/logo.png';
              }
              $localStorage.resultPatient.push(i);
              $scope.$broadcast('scroll.infiniteScrollComplete');
              $scope.search.busy = false;
                $scope.search.end = true;
            });
            $timeout(function() {
                ionicMaterialInk.displayEffect();
            });
          },
          function(r){
            $scope.$broadcast('scroll.infiniteScrollComplete');
            $scope.search.busy = false;
            $scope.search.end =true;
          });
        }
      },
      params : {
        page:-1,
        limit: "10",
        todos: 1
      }
    }
    $ionicPlatform.ready(function() {
      $scope.$local = $localStorage;
      if($cordovaNetwork.isOnline()){
        $localStorage.resultPatient = [];
        $scope.search.nextPage();
      }
    });
    $scope.openPatient = function(p){
      $state.go("app.show_patient",{patient:p})
    }
})
;