app
.service('Sync', function ($cordovaNetwork,PatientFormResource,$filter,toastr,DrugResource,Cid10Resource,$localStorage,UserResource,$ionicPlatform) {
	var self = this;
	if(!$localStorage.patientSync){
		$localStorage.patientSync = [];
	}
	self.addPatient = function(p){
		if(!$localStorage.patientSync){
			$localStorage.patientSync = [];
		}
		$localStorage.patientSync.push(p);
		self.syncPatient();
	}
	self.syncPatient = function(){
		if($cordovaNetwork.isOnline()){
			var p;
			if(!$localStorage.patientSync){
				$localStorage.patientSync = [];
			}
			if($localStorage.patientSync.length>0){
				angular.forEach($localStorage.patientSync, function(p,k){
					var form = new PatientFormResource();
				    for (var key in p.Form) {
				        form[key] = p.Form[key];
				    }
						form.PatientHabits.high_sports_time = Date.parse(form.PatientHabits.high_sports_time)/1000
						form.PatientHabits.moderated_sports_time = Date.parse(form.PatientHabits.moderated_sports_time)/1000
						form.create_date = Date.parse(form.create_date)/1000
					    form.$save(function(){
					    	$localStorage.patientSync.splice(k,1);
					    },
					    function(data){
					    	console.log('broke');
					    	console.log(angular.toJson(data));
					    });
					// }
				});
				toastr.success("Formulários dos pacientes sincronizados",{timeOut:3000});
			}
		}
	}
	self.syncUser = function(){
		if($cordovaNetwork.isOnline()){
    		$localStorage.user = UserResource.get({id:$localStorage.id});
		}
	}
	self.syncDrugs = function(){
		if($cordovaNetwork.isOnline()){
      		$localStorage.drugs = DrugResource.query();
		}
	}
	self.syncCid10 = function(){
		if($cordovaNetwork.isOnline()){
		    $localStorage.cid10 = Cid10Resource.query();
		}

	}
	self.syncPatientList = function(){

	}
	self.syncAll = function(){
    	$ionicPlatform.ready(function() {
			self.syncPatient();
			self.syncDrugs();
			self.syncCid10();
			self.syncUser();
		});
	}
});