'use strict';
app
	.controller('AdminResearchCtrl', function($scope,PatientFormResource,$localStorage,$uibModal,$stateParams,Patient,PatientResource,$mdDialog) {
		$scope.researchs = PatientResource.getForm({id:Patient.id});
		$scope.viewResearch = function(ev,research){
		    $mdDialog.show({
		      controller: 'AdminResearchViewCtrl',
		      templateUrl: 'views/tmpl/admin/research-view.html',
		      parent: angular.element(document.body),
		      targetEvent: ev,
		      clickOutsideToClose:true,
		      fullscreen: true, // Only for -xs, -sm breakpoints.
	        resolve : {
	          Research :  function(){ return research }
	        },
	        onRemoving : function(){
				    $mdDialog.show({
				      controller: 'AdminResearchCtrl',
				      templateUrl: 'views/tmpl/admin/research.html',
				      parent: angular.element(document.body),
				      targetEvent: ev,
				      clickOutsideToClose:true,
				      fullscreen: true, // Only for -xs, -sm breakpoints.
			        resolve : {
			          Patient :  function(){ return Patient }
			        }
				    });

	        }
		    });
		}
		$scope.remove = function(u){
	      /*TROCAR AQUI EM BAIXO TUDO PRO TRANSLATE!!!!*/
	      swal({
	        title: 'Deseja remover o formulário ?',
	        text: "Essa ação é irreversível.. O formulário perderá os acessos ao sistema!! Para confirmar digite no campo abaixo a palavra CONFIRMAR",
	        type: 'question',
	        input: 'text',
	        showCancelButton: true,
	        confirmButtonColor: '#3085d6',
	        cancelButtonColor: '#d33',
	        confirmButtonText: 'Sim!',
	        cancelButtonText: 'Não, cancelar!',
	        showLoaderOnConfirm : true,
	        preConfirm: function(deleteInput){
	            return new Promise(function(resolve, reject) {
	              if (deleteInput !== 'CONFIRMAR') {
	                reject('Preencha no campo acima a palavra CONFIRMAR');
	              } else {
	                u.$deleteForm({id:u.id},function(){
	                  var idx = $scope.researchs.indexOf(u);
	                  $scope.researchs.splice(idx,1);
	                  swal({
	                    title : "Removido formulário com sucesso",
	                    type : "success"
	                  });
	                },
	                function(){
	                  swal({
	                    title : "Erro ao remover formulário",
	                    type : "error"
	                  })
	                });
	              }
	            });
	          }
	        })

		}

  });
