'use strict';
app
	.controller('AdminUserCtrl', function($scope,UserResource,$localStorage,$mdDialog) {
		$scope.users = UserResource.query();

		$scope.openNewUser = function(ev){
	    $mdDialog.show({
	      controller: 'AdminNewUserCtrl',
	      templateUrl: 'views/tmpl/admin/newUser.html',
	      parent: angular.element(document.body),
	      targetEvent: ev,
	      clickOutsideToClose:true,
	      fullscreen: true, // Only for -xs, -sm breakpoints.
        resolve : {
          User :  function(){ return false }
        }
	    })
	    .then(function(user) {
      	if(user){
	      	if(!$scope.users.length>0){
	      		$scope.users = [];
	      	}
      		$scope.users.unshift(user);
      	}
	    });
		}
		$scope.edit = function(ev,u){
	    $mdDialog.show({
	      controller: 'AdminNewUserCtrl',
	      templateUrl: 'views/tmpl/admin/newUser.html',
	      parent: angular.element(document.body),
	      targetEvent: ev,
	      clickOutsideToClose:true,
	      fullscreen: true, // Only for -xs, -sm breakpoints.
        resolve : {
          User :  function(){ return u }
        }
	    })
	    .then(function(user) {
      	if(user){
      		u = user;
      	}
	    });
		}

		$scope.remove = function(u){
	      /*TROCAR AQUI EM BAIXO TUDO PRO TRANSLATE!!!!*/
	      swal({
	        title: 'Deseja remover o usuário '+u.Person.name+'?',
	        text: "Essa ação é irreversível.. O usuário perderá os acessos ao sistema!! Para confirmar digite no campo abaixo a palavra CONFIRMAR",
	        type: 'question',
	        input: 'text',
	        showCancelButton: true,
	        confirmButtonColor: '#3085d6',
	        cancelButtonColor: '#d33',
	        confirmButtonText: 'Sim!',
	        cancelButtonText: 'Não, cancelar!',
	        showLoaderOnConfirm : true,
	        preConfirm: function(deleteInput){
	            return new Promise(function(resolve, reject) {
	              if (deleteInput !== 'CONFIRMAR') {
	                reject('Preencha no campo acima a palavra CONFIRMAR');
	              } else {
	                u.$delete({id:u.id},function(){
	                  var idx = $scope.users.indexOf(u);
	                  $scope.users.splice(idx);
	                  swal({
	                    title : "Removido usuário com sucesso",
	                    type : "success"
	                  });
	                },
	                function(){
	                  swal({
	                    title : "Erro ao remover usuário",
	                    type : "error"
	                  })
	                });
	              }
	            });
	          }
	        })

		}
  });
