'use strict';

app
  .directive('hourType',function($filter,moment){
      return {
       require: 'ngModel',
        link: function(scope, elem, attr, ngModel) {
          if(!ngModel) return;
            ngModel.$formatters.push(function (value) {
              if(value){
                if(!angular.isDate(value)){
                  if(value<9999999999999){ // check if unix timestamp
                    value = value*1000;
                  }
                  return new Date(value).toLocaleTimeString();
                }
                return value.toLocaleTimeString();
              }
            });
        }
      }
   })