'use strict';

app.
	factory("PatientResource",function($resource,urlApi){
		return $resource(urlApi+'patient/:id',{id:'@_id'},{
			update : {
				method: 'PUT'
			},
			getForm : {
				method : 'GET',
				isArray : true,
				url : urlApi+'patient/:id/form',
				params : {id:'@_id'}
			},
			deleteForm : {
				method : 'DELETE',
				url : urlApi+'patient_form/:id',
				params : {id:'@_id'}
			}
		});
	})